Create and manage object storage containers

Create new object storage containers to store files and data. This is useful when you need a dedicated space to organize and store large amounts of data, such as website content, backups, or application data.

Object Storage Buckets

Context

Used in the dashboard

/object-storage/[bucket] /object-storage

Headers

Accept Example
Content-Type Example

Body

required
application/json
name string required · Example: lobe-production

Responses

200
data object required
data.bucket object required
data.bucket.created string required · Example: 2026-02-10T00:00:00.000Z
data.bucket.name string required · Example: lobe-production
data.bucket.numObjects integer required · Example: 0
data.bucket.sizeBytes integer · Example: 0
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

400
code string required · Example: BAD_REQUEST

Machine-readable error code.

error string required · Example: Bad Request

HTTP status title (e.g. 'Bad Request').

message string required · Example: Bucket name must be 3-63 characters, lowercase letters, numbers, and hyphens only

Human-readable message.

requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

403
code string required · Example: FORBIDDEN

Machine-readable error code.

error string required · Example: Forbidden

HTTP status title (e.g. 'Bad Request').

message string required · Example: Cloud features require identity verification. Please verify your account first.

Human-readable message.

requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

500
code string required · Example: INTERNAL_ERROR

Machine-readable error code.

error string required · Example: Internal Server Error

HTTP status title (e.g. 'Bad Request').

message string required · Example: An unexpected error occurred

Human-readable message.

requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/object-storage/buckets
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/object-storage/buckets" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "lobe-production"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "bucket": {
      "name": "lobe-production",
      "sizeBytes": 0,
      "numObjects": 0,
      "created": "2026-02-10T00:00:00.000Z"
    }
  }
}
Request Body Example 1
{
  "name": "lobe-production"
}